Bug 1538875 - mysql_init_bundle container doesn't fail deployment if puppet fails
Summary: mysql_init_bundle container doesn't fail deployment if puppet fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: z2
: 12.0 (Pike)
Assignee: James Slagle
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks: 1523272
TreeView+ depends on / blocked
 
Reported: 2018-01-26 01:55 UTC by James Slagle
Modified: 2018-03-28 17:17 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.3-24.el7ost
Doc Type: Bug Fix
Doc Text:
If this bug requires documentation, please select an appropriate Doc Type value.
Clone Of:
Environment:
Last Closed: 2018-03-28 17:16:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0602 None None None 2018-03-28 17:17:11 UTC
OpenStack gerrit 531261 None None None 2018-01-26 02:07:38 UTC
Launchpad 1745523 None None None 2018-01-26 01:58:45 UTC

Description James Slagle 2018-01-26 01:55:01 UTC
In docker/services/pacemaker/database/mysql.yaml we start a mysql_init_bundle container in order to initialize the mysql pacemaker bundle via puppet.

If puppet fails, we don't fail the Ansible task, and thus the Overcloud doesn't fail. Eventually it will fail later when a service tries to actually use the database since one was never started.

Comment 1 James Slagle 2018-01-26 02:33:21 UTC
this has already been fixed upstream:
https://review.openstack.org/#/c/533062/

we need to backport all these for that to apply cleanly downstream:
https://code.engineering.redhat.com/gerrit/#/q/topic:bug/1741345+(status:open+OR+status:merged)

Comment 2 James Slagle 2018-01-26 13:06:28 UTC
QE testplan:

- new deployment with 3 default HA Controller roles
- new deployment with 3 standalone Database roles
- update deployment with 3 default HA Controller roles from templates without patch to new templates with patch
- update deployment with 3 standalone Database roles from templates without patch to new templates with patch
- repeat all of the above tests with deployed-server

- Negative test: force mysql_init_bundle to fail by adding a typo to the puppet manifest in docker/services/pacemaker/database/mysql.yaml for the mysql_init_bundle container. The overcloud deployment in Heat should then fail at that step.

Some combination of the above could be used to reduce the testing matrix.

Comment 9 Gurenko Alex 2018-03-14 09:24:04 UTC
 I've successfully tested deployments except split stack with 3 DBs and force failure that worked as expected. As per update DFG, updates are currently blocked.

Tested on a puddle 2018-03-10.1

Comment 12 errata-xmlrpc 2018-03-28 17:16:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0602


Note You need to log in before you can comment on or make changes to this bug.